/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Linja Zax extension for Mozilla Firefox.
 *
 * The Initial Developer of the Original Code is
 * LINJA DESIGN OY
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Linja Zax Team <LinjaZax@linjadesign.fi>
 *
 * ***** END LICENSE BLOCK ***** */
var ZoomManager = {
  var min : null, max : null, preferenceBranch : null;
  set zoom setZoom(aZoomFactor)
  {
    if (null!=min)
    {
      delete min;
    }
    if (null!=max)
    {
      delete max;
    }
    if (null!=preferenceBranch)
    {
      delete preferenceBranch;
    }
    preferenceBranch= Components.classes["@mozilla.org/preferences-service;1"]
                                        .getService(Components.interfaces.nsIPrefBranch);
    min = this.preferenceBranch.getIntPref("zoom.minPercent") / 100;
    max = this.preferenceBranch.getIntPref("zoom.maxPercent") / 100;
    if (aZoomFactor< this.min || aZoomFactor> this.max)
          throw Components.results.NS_ERROR_INVALID_ARG;
    var markupDocumentViewer = getBrowser().markupDocumentViewer;
    markupDocumentViewer.fullZoom = aZoomFactor;
  }
}
